export declare type LayoutNameMapper = (aNumber: number, aTotal: number, aTypeName: string) => string;
export interface Options {
    src?: string | string[];
    data?: string;
    url?: string;
    user?: string;
    password?: string;
    command: string;
    name?: string;
    commandType: string;
    include?: string;
    module?: string;
    modules?: boolean;
    exclude?: string;
    type?: string;
    verbose?: boolean;
    scss?: boolean;
    flat?: boolean;
    aggregated?: boolean;
    override?: boolean;
    count?: number;
    skipSourcemaps?: boolean;
    skipRegistration?: boolean;
    skipPull?: boolean;
    relative?: boolean;
    script?: boolean;
    out?: string;
    root?: string;
    help?: boolean;
    id?: string;
    layoutHtmlTemplate?: string;
    layoutNameMapper?: LayoutNameMapper;
    esi?: boolean;
    pkgDir?: string;
    editable?: boolean;
    archive?: string;
    allArgs: string[];
}
declare function _normalizeDirectory(aDir: string): string;
export { _normalizeDirectory as optNormalizeDir };
