import { Observable } from 'rxjs';
import { FileDescriptor } from './rx.walk';
export interface JsonFile {
    desc: FileDescriptor;
    data: any;
}
declare function _readJSON(aDesc: FileDescriptor): Observable<JsonFile>;
declare function _writeJSON(aDesc: JsonFile): Observable<FileDescriptor>;
declare function _isJSON(aDesc: FileDescriptor): boolean;
export { _readJSON as readJSON, _writeJSON as writeJSON, _isJSON as isJSON };
