"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
describe('rx.distinct', function () {
    it('should allow chaining', function () {
        var t1 = {
            key1: 'a1',
            key2: 'b1'
        };
        var t2 = {
            key1: 'a2',
            key2: 'b1'
        };
        var t3 = {
            key1: 'a3',
            key2: 'b2'
        };
        var t4 = {
            key1: 'a2',
            key2: 'b3'
        };
        return rxjs_1.of(t1, t2, t3, t4).pipe(operators_1.distinct(function (o) { return o.key1; }), operators_1.distinct(function (o) { return o.key2; }), operators_1.toArray(), operators_1.tap(function (a) {
            expect(a.length).toEqual(2);
        })).toPromise();
    });
});
