import { Observable } from 'rxjs';
import { Options } from './../options';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
/**
 * Generates layout and layout mappings
 *
 * add base --data DATA_FOLDER --src SRC_FOLDER [--relative]
 */
export declare class AddBaseCommand extends AbstractCommand implements Command {
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    printHelp(): void;
    process(): Observable<string>;
}
