import { Observable } from 'rxjs';
import { Options } from './../options';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
/**
 * Generates layout and layout mappings
 *
 * create layouts --data DATA_FOLDER [--count]
 */
export declare class CreateLayoutsCommand extends AbstractCommand implements Command {
    private options;
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    process(): Observable<string>;
}
