import { Observable } from 'rxjs';
import { Options } from './../options';
import { AbstractCommand } from './abstract.command';
import { Command } from './command';
/**
 * Generates angular components based on type and layout mapping definitions
 *
 * register layoutcomponents --src SOURCE_CODE_FOLDER [--module MODULENAME] [--verbose]
 */
export declare class RegisterLayoutComponentsCommand extends AbstractCommand implements Command {
    private options;
    static readonly TYPE: string;
    static readonly COMMAND: string;
    constructor(options: Options);
    printHelp(): void;
    process(): Observable<string>;
}
