"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var operators_1 = require("rxjs/operators");
var create_components_command_1 = require("../commands/create.components.command");
function _createTypeInterface(aType, aTools, aComponentReg, aTemplate) {
    // create the context
    var rxCtx = create_components_command_1.createAbstractComponentContext(aType, aComponentReg, aTools);
    // apply the template
    return rxCtx.pipe(operators_1.mergeMap(function (ctx) { return aTemplate.pipe(operators_1.map(function (tmp) { return tmp(ctx); })); }));
}
