"use strict";
exports.__esModule = true;
var byLine = require("byline");
var rxjs_1 = require("rxjs");
var operators_1 = require("rxjs/operators");
function _readLines(aStream) {
    // stream
    var stream = byLine(aStream);
    // done
    var done = rxjs_1.fromEvent(stream, 'end');
    var data = rxjs_1.fromEvent(stream, 'data');
    // combine
    return data.pipe(operators_1.takeUntil(done));
}
exports.rxReadLines = _readLines;
